### Constructor

# FwupdPlugin UsbInterface new

since: 2.0.0

#### Declaration [src]

    FuUsbInterface*
    fu_usb_interface_new (
      const libusb_interface_descriptor* iface,
      GError** error
    )

#### Description

No description available.

Available since: 2.0.0

#### Parameters

`iface`

  Type: `const libusb_interface_descriptor*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuUsbInterface`

A new `FuUsbInterface` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.